TableColumnModelListener (Java Platform SE 8 )
Keywords: javax.swing.event.TableColumnModelListener interface
Date: 2015-11-19

javax.swing.event

## Interface TableColumnModelListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    JTable, JTable.AccessibleJTable, JTableHeader

      public interface TableColumnModelListener
      extends EventListener

  TableColumnModelListener defines the interface for an object that listens to changes in a TableColumnModel.
  See Also:
    `TableColumnModelEvent`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `columnAdded(TableColumnModelEvent e)` Tells listeners that a column was added to the model.
    `void` | `columnMarginChanged(ChangeEvent e)` Tells listeners that a column was moved due to a margin change.
    `void` | `columnMoved(TableColumnModelEvent e)` Tells listeners that a column was repositioned.
    `void` | `columnRemoved(TableColumnModelEvent e)` Tells listeners that a column was removed from the model.
    `void` | `columnSelectionChanged(ListSelectionEvent e)` Tells listeners that the selection model of the TableColumnModel changed.

- - ### Method Detail

    - #### columnAdded

          void columnAdded(TableColumnModelEvent e)

      Tells listeners that a column was added to the model.

    - #### columnRemoved

          void columnRemoved(TableColumnModelEvent e)

      Tells listeners that a column was removed from the model.

    - #### columnMoved

          void columnMoved(TableColumnModelEvent e)

      Tells listeners that a column was repositioned.

    - #### columnMarginChanged

          void columnMarginChanged(ChangeEvent e)

      Tells listeners that a column was moved due to a margin change.

    - #### columnSelectionChanged

          void columnSelectionChanged(ListSelectionEvent e)

      Tells listeners that the selection model of the TableColumnModel changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.